Packages - Bug #3138

php7-pgsql error
2021-12-02 10:43 PM - egils

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

| get this error:

dec 02 23:29:06 parabola php-fpm7[17352]: [02-Dec-2021 23:29:06] NOTICE: PHP message: PHP Warning:
Unable to load dynamic library 'pgsqgl' tried: /usr/lib/php7/modules/pgsgl (/usr/lib/php7/modules/
pgsgl:

/usr/lib/php7/modules/pgsgl.so (libldap_r-2.4.s0.2: cannot open shared object file: No such file o
r directory)) in Unknown on line 0

$ pacman -Si php7-pgsql

Repository : extra
Name : php7-pgsgl
Version : 7.4.26-2

$ 1s /lib/libldap* -1

lrwxrwxrwx 1 root root 18 13 nov 18.37 /lib/libldap.so —-> libldap.s0.2.0.200
lrwxrwxrwx 1 root root 10 13 nov 18.37 /lib/libldap.so.2 -> libldap.so
-rwxr—-xr—-x 1 root root 384368 13 nov 18.37 /lib/libldap.s0.2.0.200

e steps to reproduce: # sudo pacman -Syu

¢ | expected PHP to be built with a correct path to libldap

History

#1 - 2021-12-02 11:48 PM - bill-auger

- Description updated

i can not reproduce this - can you show what does this command print?

$ lddtree /usr/lib/php7/modules/pgsgl.so

#2 - 2021-12-03 07:54 AM - egils
Hi )
Thanks for a fast reply.

It says -> None so | guess that is the issue

$ lddtree /usr/lib/php7/modules/pgsql.so
/usr/lib/php7/modules/pgsgl.so (interpreter => None)
libpg.so.5 => /usr/lib/libpg.so.5
libssl.so.1l.1 => /usr/lib/libssl.so.1l.1
libcrypto.so.1.1 => /usr/lib/libcrypto.so.1l.1
libdl.so.2 => /usr/lib/libdl.so.2
1d-linux-x86-64.s0.2 => /usr/lib/ld-1linux-x86-64.s0.2
libgssapi_krb5.s0.2 => /usr/lib/libgssapi_krb5.s0.2
libkrb5.s0.3 => /usr/lib/libkrb5.s0.3
libk5crypto.so.3 => /usr/lib/libk5crypto.so.3
libcom_err.so.2 => /usr/lib/libcom_err.so.2
libkrb5support.so.0 => /usr/lib/libkrb5support.so.0
libkeyutils.so.l => /usr/lib/libkeyutils.so.1l
libresolv.so.2 => /usr/lib/libresolv.so.2
libldap_r-2.4.s0.2 => None
libpthread.so.0 => /usr/lib/libpthread.so.0
libc.so.6 => /usr/lib/libc.so0.6

| tried these commands, but got exactly the same error.

$ sudo pacman -R php7-pgsqgl
$ sudo pacman —-Syu php7-pgsql
$ systemctl restart php-fpm7.service

| also tried migrating to php-8. | get exactly the same error with that one too, though...

Here itis in full:

dec 03 09:03:49 parabola systemd[l]: Starting The PHP FastCGI Process Manager...

dec 03 09:03:49 parabola php-fpm[2747]: [03-Dec-2021 09:03:49] NOTICE: PHP message: PHP Warning: PHP Startup:
Unable to load dynamic library 'pdo_pgsqgl' (tried: /usr/lib/php/modules/pdo_pgsql (/usr/lib/php/modules/pdo_p
gsgl: cannot open shared object file: No such file or directory), /usr/lib/php/modules/pdo_pgsqgl.so (libldap_r
—-2.4.s0.2: cannot open shared object file: No such file or directory)) in Unknown on line 0

dec 03 09:03:49 parabola php-fpm[2747]: [03-Dec-2021 09:03:49] NOTICE: PHP message: PHP Warning: PHP Startup:
Unable to load dynamic library 'pgsgl' (tried: /usr/lib/php/modules/pgsgl (/usr/lib/php/modules/pgsgl: cannot
open shared object file: No such file or directory), /usr/lib/php/modules/pgsgl.so (libldap_r-2.4.s0.2: canno

t open shared object file: No such file or directory)) in Unknown on line 0
dec 03 09:03:49 parabola php-fpm[2747]: [NOTICE] fpm is running, pid 2747
dec 03 09:03:49 parabola php-fpm[2747]: [NOTICE] ready to handle connections

dec 03 09:03:49 parabola systemd[l]: Started The PHP FastCGI Process Manager.
| tried reinstalling libldap but to no avail.

#3 - 2021-12-03 12:41 PM - bill-auger

one thing to note, is that those do not appear to be errors, but warnings - warnings can usually be ignored - that leads to the next question, which
would be: "is any functionality actually broken in any noticeable way?"

the broken link is via the 'postgresql-libs' package - the current version (13.4-4) has the correct linkage - which version of 'postgresql-libs' do you have
installed?

$ pacman -Ss postgresgl-libs

extra/postgresqgl-libs 13.4-4 [installed]
Libraries for use with PostgreSQL

#4 - 2021-12-03 12:41 PM - bill-auger

- Status changed from unconfirmed to info needed

#5 - 2021-12-03 11:01 PM - egils

Big thanks for taking the time to point this out. | had postgresqgl and postgresql-libs in my ignore list and did not realize that that might affect PHP and
the bindings.

| removed them from ignore, ran -Syu and everything works again.

Sorry for the noise.

#6 - 2021-12-03 11:22 PM - bill-auger

- Status changed from info needed to not-a-bug
